## org.apache.myfaces.custom.schedule.model
Class ScheduleDay

    java.lang.Object
      org.apache.myfaces.custom.schedule.model.Day
          org.apache.myfaces.custom.schedule.model.ScheduleDay

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class ScheduleDay
extends Day
implements java.io.Serializable, java.lang.Comparable

This class represents one day in the schedule component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$)
See Also:
  Serialized Form

Constructor Summary
`ScheduleDay(java.util.Date date)` Creates a new ScheduleDay object.

Method Summary
`boolean` `addEntry(ScheduleEntry entry)` Add an entry to this day
`void` `clear()` Remove all entries from this day
`boolean` `isEmpty()`
`java.util.Iterator` `iterator()`
`boolean` `remove(ScheduleEntry entry)` Remove an entry from this day
`int` `size()`

Methods inherited from class org.apache.myfaces.custom.schedule.model.Day
`compareTo, equals, equalsDate, getDate, getDayEnd, getDayStart, getSpecialDayName, hashCode, isWorkingDay, setSpecialDayName, setWorkingDay`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### ScheduleDay

    public ScheduleDay(java.util.Date date)

  Creates a new ScheduleDay object.

Parameters:
  `date` - the date

Method Detail

### isEmpty

    public boolean isEmpty()

  Returns:
    true if there are no schedule entries

### addEntry

    public boolean addEntry(ScheduleEntry entry)

  Add an entry to this day

  Parameters:
    `entry` - the entry to add
  Returns:
    true if successful

### clear

    public void clear()

  Remove all entries from this day

### iterator

    public java.util.Iterator iterator()

  Returns:
    an iterator for the schedule entries of this day

### remove

    public boolean remove(ScheduleEntry entry)

  Remove an entry from this day

  Parameters:
    `entry` - the entry to remove
  Returns:
    true if successful

### size

    public int size()

  Returns:
    the number of entries that are shown on this day